﻿\version "2.6.0"

\include "defs.ly"
\include "dynamics.ly"

\header {
  \include "header.ly"
  filename = "suite.ly"
}

\paper {
  #(set-paper-size "letter")
  firstpagenumber = 4
  linewidth = 164\mm
  bottommargin = 6\mm
  aftertitlespace = 5\mm
  betweensystempadding = -1\mm
 }
 
\include "pretop.ly"
\include "prebottom.ly"

\score {
  \header {
    piece = "Präludium"
  }
   \context PianoStaff <<
      \context Dynamics = dynamicstop \dynamicstopprelude
      \context Staff = upper \forceAlterations \transpose c c' { \preludetop }
      \context Dynamics = dynamicsmid \dynamicsmidprelude
      \context Staff = lower \transpose c c { \preludebottom }
   >>
   \layout {
      \context { \RemoveEmptyStaffContext }
      \context { \Staff \remove Key_engraver }
      %\context ( \Staff minimumVerticalExtent = #'(-10 . 10) } 
      \context {
         \type "Engraver_group_engraver"
         \name Dynamics
         \alias Voice % So that \cresc works, for example.
         \consists "Output_property_engraver"
      
         \consists "Dynamic_engraver"
         \consists "Text_engraver"
      
         \consists "Skip_event_swallow_translator"
         \consists "Axis_group_engraver"
      }
      \context {
         \PianoStaff
         \accepts Dynamics
         \override VerticalAlignment #'forced-distance = #6.75
      }
   }
   \midi { \context { \Voice \remove Span_dynamic_performer } }
}