\version "2.6.0"

preludebottom = {
  \clef F
  \set Staff.verticalExtent = #'(-10.5 . 0.0)
  \time 6/8
  \override Staff.Hairpin #'height = #'0.5
  \override Voice.Beam #'auto-knee-gap = #'4.5
  \override Accidental #'inside-slur = ##t 
  #(set-accidental-style 'modern-voice)

  %\set Score.skipTypesetting = ##t 
  r4 r8 bes8.^^\mf[ ces'^^ | 
  des^^ g^^] r8 << { << { c^\p( a, | d4 gis,16) }
    \once \override Hairpin #'extra-offset = #'(0.0 . -1.375)
    { s4 \< | s4*8/45 
    \once \override Hairpin #'extra-offset = #'(0.0 . -1.8125)
    s4*22/45 \> s4*3/12 s4*1/12 \! s16 } >> } 
  \\ { 
    \override Script #'extra-offset = #'(-0.5 . 0.0)
    f,8-.\pp fis,-. | es,-.[ e,8.-.] } >> 
  r16 \change Staff = upper bes^^ \fp bes^^ 
  %\once \override Hairpin #'extra-offset = #'(0.0 . -3.75) 
  bes^^ \< 
  \override Beam #'neutral-direction = #-1 
  \change Staff = lower bes^^ bes^^ bes^^  
  \clef G
  bes bes bes \! a\> a a \! a a \< a \! 
  \override Beam #'neutral-direction = #1 
  \change Staff = upper g' \fp \< g' g' \! | 
  \change Staff = lower 
  \clef F 
  r << { s4 a16 c' ^\fp d'\rest } 
    \\ { 
      \override Script #'extra-offset = #'(-0.5 . 0.0)
      <e as>[ \p \< r < es d'> \> r \! fis->] ~  fis[  f,-.] } >>
  r des, ^\f g, \change Staff = upper f | 
  \change Staff = lower

  << { 
    \stemDown <bes, d>8( \p <a, as>8.) 
    \once \override Slur #'slur-details = #'((region-size . 4)
    (head-encompass-penalty . 1000.0)
    (stem-encompass-penalty . 30.0)
    (closeness-factor . 10)
    (edge-attraction-factor . 4000000)
    (same-slope-penalty . 20)
    (steeper-slope-factor . 50)
    (non-horizontal-penalty . 15)
    (max-slope . 1.1)
    (max-slope-factor . 10)
    (free-head-distance . 0.3)
    (free-slur-distance . 0.8)
    (extra-object-collision . 50)
    (accidental-collision . 3)
    (extra-encompass-free-distance . 0.3)
    (head-slur-distance-max-ratio . 3)
    (head-slur-distance-factor . 10)
    (absolute-closeness-measure . 0.3)
    (edge-slope-exponent . 1.7)
    )
    % edge-attraction-factor increased
    \once \override Slur #'height-limit = #'4.0
    <c es>16(  
    \change Staff = upper \stemUp
    \override Hairpin #'extra-offset = #'(1.625 . -6.625)
    fis'4) ~ fis'16 c' \< | 
    \override DynamicText #'self-alignment-X = #1 
    \override DynamicText #'extra-offset = #'(-0.75 . -2.375) 
    f' ^\sf r d'4 } 
    \\ { 
      \override Script #'extra-offset = #'(0.5 . 0.0)
      s8*3 \change Staff = lower \stemUp r16 g^^ \p des^^ es^^ e,8 ~ | 
      e,16 e, e, e, \< e, e, 
      \override Slur #'slur-details = #'((region-size . 4)
      (head-encompass-penalty . 1000.0)
      (stem-encompass-penalty . 30.0)
      (closeness-factor . 10)
      (edge-attraction-factor . 80)
      (same-slope-penalty . 20)
      (steeper-slope-factor . 50)
      (non-horizontal-penalty . 15)
      (max-slope . 1.1)
      (max-slope-factor . 10)
      (free-head-distance . 0.3)
      (free-slur-distance . 0.8)
      (extra-object-collision . 50)
      (accidental-collision . 3)
      (extra-encompass-free-distance . 0.3)
      (head-slur-distance-max-ratio . 3)
      (head-slur-distance-factor . 10)
      (absolute-closeness-measure . 0.3)
      (edge-slope-exponent . 1.7)
      )
      % edge-attraction-factor increased
      e,( \! f) f f f( \> g,) \! } >>

%{  << { \stemDown \override Beam #'transparent = ##t d8( as8.) 
    \once \override Slur #'slur-details = #'((region-size . 4)
    (head-encompass-penalty . 1000.0)
    (stem-encompass-penalty . 30.0)
    (closeness-factor . 10)
    (edge-attraction-factor . 4000000)
    (same-slope-penalty . 20)
    (steeper-slope-factor . 50)
    (non-horizontal-penalty . 15)
    (max-slope . 1.1)
    (max-slope-factor . 10)
    (free-head-distance . 0.3)
    (free-slur-distance . 0.8)
    (extra-object-collision . 50)
    (accidental-collision . 3)
    (extra-encompass-free-distance . 0.3)
    (head-slur-distance-max-ratio . 3)
    (head-slur-distance-factor . 10)
    (absolute-closeness-measure . 0.3)
    (edge-slope-exponent . 1.7)
    )
    % edge-attraction-factor increased
    \once \override Slur #'height-limit = #'4.0
    es16( 
    \revert Beam #'transparent 
    \change Staff = upper \stemUp 
    \override Hairpin #'extra-offset = #'(1.625 . -6.625)
    fis'4) ~ fis'16 c' \< | 
    \override DynamicText #'self-alignment-X = #1 
    \override DynamicText #'extra-offset = #'(-0.75 . -2.375) 
    f' ^\sf r d'4 } 
    \\ { 
      \override Script #'extra-offset = #'(0.5 . 0.0)
      bes,8 \p a,8. c16 \stemUp r g^^ \p des^^ es^^ e,8 ~ | 
      e,16 e, e, e, \< e, e, 
      \override Slur #'slur-details = #'((region-size . 4)
      (head-encompass-penalty . 1000.0)
      (stem-encompass-penalty . 30.0)
      (closeness-factor . 10)
      (edge-attraction-factor . 80)
      (same-slope-penalty . 20)
      (steeper-slope-factor . 50)
      (non-horizontal-penalty . 15)
      (max-slope . 1.1)
      (max-slope-factor . 10)
      (free-head-distance . 0.3)
      (free-slur-distance . 0.8)
      (extra-object-collision . 50)
      (accidental-collision . 3)
      (extra-encompass-free-distance . 0.3)
      (head-slur-distance-max-ratio . 3)
      (head-slur-distance-factor . 10)
      (absolute-closeness-measure . 0.3)
      (edge-slope-exponent . 1.7)
      )
      % edge-attraction-factor increased
      e,( \! f) f f f( \> g,) \! } >>%}

  << { \change Staff = upper \stemDown a4. \fp 
       \change Staff = lower \stemUp s8. as-> | s2 } 
  \\ { 
       \override Script #'extra-offset = #'(-0.5 . 0.125)
       des16 \< ges es as d b \! c8-. \p 
       \override Script #'extra-offset = #'(-0.625 . 0.125)
       a,-. 
       \once \override Hairpin #'extra-offset = #'(3.0 . -0.5)
       bes,( \< ~ | 
       \override Script #'extra-offset = #'(-0.5 . 0.0)
       bes,16 a,) as,-. as,-. \! ces-. 
       \override Script #'extra-offset = #'(-0.625 . 0.0)
       ces-. 
       \once \override Script #'extra-offset = #'(-0.5 . 0.1875)
       \override Hairpin #'extra-offset = #'(0.0 . -0.5)
       ces-.[ \> bes,-.] \! } >>
  << { << { r8 c'16( ^\pp e } 
       \new Voice { 
	 \override NoteHead  #'transparent = ##t
	 \override Stem  #'transparent = ##t
	 \override Beam  #'transparent = ##t
         d16 \repeat unfold 4 d32 d16 } >> | 

  %10
  %\set Score.skipTypesetting = ##f
       \stemUp ges16[ f b d]) } { s4 | e,8\rest e,\rest } >> 
  << { \override Hairpin #'extra-offset = #'(0.0 . -1.0)
       \override DynamicText #'extra-offset = #'(-2 . 2.5)
       \stemDown \tieDown e,8_-_( \p ~ e,[ \< d]) \! } 
  \\ { 
       \override Script #'extra-offset = #'(0.5 . 0.0)
       \stemUp s4 s16 a,16^.^^ \sf } >> 
  << { \override Script #'extra-offset = #'(0.5 . 0.0)
       as,^.^^ r | r c^.^^ bes,^.^^\noBeam r s } 
  \\ { \once \override Hairpin #'extra-offset = #'(3.0 . -0.5)
       es,8\noBeam \< ~ | es,16[ \! f] des,8.[ c16] } >>
  \override Script #'extra-offset = #'(-0.625 . 0.0)
  \override DynamicText #'extra-offset = #'(-2.25 . 3)
  \stemDown g,,_. \f fis,_. r e'_>( <des f>-.)_( g,_.) | 
  \revert Script #'extra-offset 
  \revert DynamicText #'extra-offset 
  << { 
    \override Script #'extra-offset = #'(0.625 . 0.0)
    \set subdivideBeams = ##t
    \override Slur #'slur-details = #'((region-size . 4)
    (head-encompass-penalty . 1000.0)
    (stem-encompass-penalty . 30.0)
    (closeness-factor . 10)
    (edge-attraction-factor . 400000)
    (same-slope-penalty . 20)
    (steeper-slope-factor . 50)
    (non-horizontal-penalty . 15)
    (max-slope . 1.1)
    (max-slope-factor . 10)
    (free-head-distance . 0.3)
    (free-slur-distance . 0.8)
    (extra-object-collision . 50)
    (accidental-collision . 3)
    (extra-encompass-free-distance . 0.3)
    (head-slur-distance-max-ratio . 3)
    (head-slur-distance-factor . 10)
    (absolute-closeness-measure . 0.3)
    (edge-slope-exponent . 1.7)
    )
    % edge-attraction-factor increased
    \override Slur #'excentricity = #1.0
    s8 
    \once \override Stem  #'transparent = ##t
    c16( bes32[ 
    \change Staff = upper a' \change Staff = lower bes 
    \change Staff = upper a') \change Staff = lower bes^. 
    \change Staff = upper a'^.] } 
  \\ { 
    \override Script #'extra-offset = #'(-0.625 . 0.0)
     r16 bes,,_( <a, c>_.) bes s8 } >> 
  \clef G r 
  << { 
    \once \override Script #'extra-offset = #'(0.625 . -0.5)
    <gis' b'>8-. 
    \once \override Script #'extra-offset = #'(0.5 . -0.25)
    <fis' c''>-. | 
    f'16( e') e' es' \sf es' des' g'[ des'8 es' e'16] | 
    \clef F \stemDown bes8.[ ces des, g] ~ | 
    \stemUp g4^\fermata } 
  \\ { 
    \override Script #'extra-offset = #'(-0.5 . 0.25)
    c'16\rest \f es' d' f' | s4. c'16\rest bes[-. \< ces'' \! as' a8] | 
    s2. | des4 } >> r8 
    \once \override Script #'extra-offset = #'(0.125 . 0.125)
    \stemDown <as, ges>4^\fermata r8 | 
  << { f8->( e4 ~ e16) } \\ { <a, c>4. ~ <a, c>16 } >> r16 r8 r16 

  %16
  << { e16( ~ | f8. g des4) s8 | r8 } 
  \\ { 
    ges,16( ~ | ges, es as, d b, c a,8.)( 
    \once \override Hairpin #'extra-offset = #'(0 . 2)
    bes,16 \< <a f'>8 | 
    \override DynamicText #'X-extent = #'(-2 . 4) % This keeps Dynamic centered.
    \override DynamicText #'Y-extent = #'(-2 . 2) % While Hairpin is shortened by the extent.
    \clef G <g' des''>8) \sf } >> 
  r16 <es'' ces''> \ff <es'' ces''> <as ges'> <as ges'> 
  \clef F <e bes> <e bes>8. <es ces'>16 | 
  <g, des>8 r16 <f a> <f a> <d, c> \stemUp <d, c> <as,, ges,> <as,, ges,>8 r | 
  \stemNeutral b8.[( ^\pp c'16] a8.[ bes16])_( a) c' r b | 
  \clef G r16 bes a'8 ~ \stemUp a'16[ g 
  \once \override Tie #'transparent = ##t
  des'8]( ~ 
  \clef F \stemNeutral des'16) g a \tieDown bes, ~ | 
%  \override Staff.TimeSignature #'print-function = #Text_interface::print 
%  \override Staff.TimeSignature #'text = 
%    \markup { \number { \column { "3" "8"} \musicglyph #"scripts-stopped" 
%      \column { "1" "8" } } } 
  \time 4/8 
  \override Staff.TimeSignature #'print-function
  = #(lambda (grob) (compound-time grob "3" "1" "8"))
  << { \stemDown bes,8. ces16[ <des c'>\staccatissimo g,] } { c'\rest 
    \once \override Stem  #'direction = #1
    e'[ 
    \once \override Stem  #'direction = #1
    es'] e'\rest s8 } >>
  \once \override Script #'extra-offset = #'(0.625 . 0.0)
  \clef G \stemUp <des' ges'>16[ ^\staccatissimo g] 
  \revert Staff.TimeSignature #'print-function 
  \revert Staff.TimeSignature #'text 
  \time 4/8
  \clef F \stemNeutral r16 fis f' a as' des' g des | 
  \time 6/8
  << { r16 
    \once \override Beam  #'positions = #'(7 . 7) 
    bes,[ a es as b,] 
    \once \override Beam  #'positions = #'(4.375 . 7) 
    d[ ges f c' <f e'>] s } 
  \\ { \autoBeamOff g,4 g'8. g, g16 \stemUp des,,^\ff } >> 

}