\version "2.6.0"

preludetop = {
  \clef G
  \set Staff.verticalExtent = #'(-0.0 . 5.5)
  \time 6/8
  \tempo 4.=80
  \override Staff.Hairpin #'height = #'0.5
  \set Score.allowBeamBreak = ##t
  \override Score.MetronomeMark #'extra-offset = #'(5.0 . 1.96875)

  #(set-accidental-style 'modern-voice)

  % Add bar numbers in a cirlce every 5th bar
  \override Score.BarNumber  #'break-visibility = #end-of-line-invisible
  \set Score.barNumberVisibility = #(every-nth-bar-number-visible 5)
  \override Score.BarNumber #'font-size = #1
  \override Score.BarNumber #'print-function
  = #(make-stencil-circler 0.1 0.25 Text_interface::print)

  r8^\markup { "" \translate #(cons -5.5 2.25) \bold \huge " Rasch" }
  e'-.\p f'-. g4^>( \< des'8^.) \! |
  ges es8. ^\< as16( \! d8-.) r b ~ ^\sf | b
  \once \override Script #'extra-offset = #'(0.5 . -0.5) c^^[
  \once \override Script #'extra-offset = #'(0.5 . 0.0) a,^^] r r
  \once \override Script #'extra-offset = #'(0.5 . 0.0) 
  \once \override DynamicText #'extra-offset = #'(-0.9375 . -1.75) 
  as^. ^\p
  << {
    \override Script #'extra-offset = #'(0.5 . 0.0) 
    \override DynamicText #'self-alignment-X = #1 
    \override DynamicText #'extra-offset = #'(-0.875 . -2.375) 
    ces'-. r r ges[ c']-.-> ^\sf } \\ {
    \override Script #'extra-offset = #'(-0.5 . 0.0)
    es( d)-. f( ~ f[ e]) } >>
  f'\rest |
  << f'8\rest \\ { g16[ \fp g] } >>
  << {
    \override Script #'extra-offset = #'(0.5 . 0.0)
    \override DynamicText #'self-alignment-X = #1 
    \override DynamicText #'extra-offset = #'(-0.75 . -2.375) 
    des'8-. ^\p ces'-. bes16-. ^\p r } \\ s1*6/16 >>
  r8. \clef F s16 \break
  e4. \f << s4. \\ { b,16 \fp ais, b, gis, a,8 ~ | a,8. bes,16-^ \f ces-^ des-^ } >>
  \clef G
  << { r8 e16[ g\rest g\rest es] } 
  \\ { 
    \override DynamicText #'extra-offset = #'(-1.75 . 0.75) 
    g,8. \fp 
    \override DynamicText #'extra-offset = #'(0 . 0.75) 
    c \fp } >> 

  %8
  << {
    \override Script #'extra-offset = #'(0.5 . -1.0)
    \override Hairpin #'extra-offset = #'(0.0 . 1.0)
    r8. f16 ^\f f f f( ^\< ges) ges \! ges ^\> ges es \! |
    es( ^\< fes-.) \! fes-. r r8 r }
  \\ { 
    \revert DynamicText #'extra-offset 
    g8\rest des16[ \sf c\rest c\rest 
    \change Staff = lower \stemUp g,] ^\sf
    \once \override Beam  #'positions = #'(7.5 . 7.25) 
    \change Staff = upper \stemDown d8.-> 
    \once \override DynamicText #'extra-offset = #'(-2.125 . -8.125) 
    d16 ^\f d
    \change Staff = lower \stemUp f, |
    f,
    \change Staff = upper \stemDown c c c c ges, s8 } >>
  \stemUp des'4( \p ~ ^\markup { "" \translate #(cons -2 0) \italic \bold \bigger "dolce" }
  ^\markup { "" \translate #(cons -4 0) \bold \huge "etwas ruhiger" } | 
  \stemNeutral

  %10
  des'8 g8. a16)
  << bes,8.\noBeam \\ { 
    \override Script #'extra-offset = #'(-0.5 . 0.0)
    as,16[-.-> \change Staff = lower
    \override Script #'extra-offset = #'(0.5 . 0.0)
    \stemUp es,]^. c\rest } >>
  << { 
    \once \override Slur #'slur-details = #'((region-size . 4)
    (head-encompass-penalty . 1000.0)
    (stem-encompass-penalty . 30.0)
    (closeness-factor . 10)
    (edge-attraction-factor . 21)
    (same-slope-penalty . 20)
    (steeper-slope-factor . 50)
    (non-horizontal-penalty . 15)
    (max-slope . 1.1)
    (max-slope-factor . 10)
    (free-head-distance . 0.3)
    (free-slur-distance . 0.8)
    (extra-object-collision . 50)
    (accidental-collision . 3)
    (extra-encompass-free-distance . 0.3)
    (head-slur-distance-max-ratio . 3)
    (head-slur-distance-factor . 10)
    (absolute-closeness-measure . 0.3)
    (edge-slope-exponent . 1.7)
    )
    % edge-attraction-factor increased
    \override Slur #'excentricity = #0.5
    des16( g f' | e'4) _\markup { "" \translate #(cons -2.75 -0.0) \dynamic "sf" } }
  \\ {
    \override Script #'extra-offset = #'(-0.625 . 0.3125)
    s16*3 | d'16[( as) es-.
    \override Script #'extra-offset = #'(-0.625 . 0.0)
    ges-.] } >> r8 r16
  <bes, a>^>( c b,) r
  << { ges s s }
  \\ { es[( \break as,^.) \change Staff = lower \stemUp d,] } >>
  s4 \stemUp <des' g'>4. \f | r8 \stemNeutral
  << { \override Script #'extra-offset = #'(0.625 . -0.625) 
       <a gis'>^. 
       \override Script #'extra-offset = #'(0.5 . 0.0)
       <ces' bes'>^. } 
  \\ { r16 des'[ r f'] } >> 
  \override TupletBracket  #'bracket-visibility = ##f
  \override TupletBracket  #'extra-offset = #'(0.0 . 0.25)
  \set subdivideBeams = ##t
  c'32[( \< \once \override Stem 
  #'beaming = #(cons (list 0 1 2) (list 0 0 0))
  fis') \once \override Stem
  #'beaming = #(cons (list 0 0 0) (list 0 1 2))
  \times 2/3 { fis'( c'' fis'] } c''16) \ff 
  d'32[( \sfp \> f' d' f' d'f']) \! | 
  d'[ ^\markup { "" \translate #(cons -0.5 2) \bold \huge "etwas langsamer" } 
  f' d' f' c'-.-> f' c' fis'-.-> c' fis' a-.-> fis'] 
  a[ fis' a es'-.-> a es' d-.-> es' as es' as e'->] ~ | \break 
  << { \stemUp e'8) a^\fermata } { \stemDown f bes, } >> 
  r \stemUp <es d'>( <c b>)^\fermata r
  << { <ces bes>4. ~ bes16. \fermata ces' \f des g } 
  \\ { es16 d ~ d4 ~ <d ces>16 s8.. } >> | 
  \break 

  %17
  \set Score.skipTypesetting = ##f
  r8. <c' f>16( <a fis> <d' es> <gis e>4) r16 
  << { \tieNeutral <as' ges''>16 ~ | 
    <as' ges''>4 <d' c''>16 <d' c''> <f' a'> 
    <f' a'> c' <c' d> ~ <c' d> <c' d> ~ | 
    <d c'>4 <as ges'>16 <as ges'> } 
  \\ { s16 \ff | <as' ges''>8. 
    \change Staff = lower \stemUp es'16 
    \change Staff = upper \stemDown d' 
    \change Staff = lower \stemUp ges
    \change Staff = upper \stemDown f' 
    \change Staff = lower \stemUp bes, 
    \change Staff = upper \stemDown d s8. | 
    <d c'>8. 
    \change Staff = lower \stemUp a,16 
    \change Staff = upper \stemDown as 
    \change Staff = lower \stemUp c, } >> 
  \stemNeutral
  <ces'' es''>[ 
  \once \override Stem #'beaming = #(cons (list 0 1  ) (list 0 1  ))
  <ces'' es''> 
  \once \override Stem #'beaming = #(cons (list 0 1  ) (list 0 1  ))
  <e'' bes''> <e'' bes''>] r8 | 
  %20
  << { e'16( f) r8 g'16( des') r8 f16( e') r8 | 
    e'8. d'16 f'8.[ e'16] f' d'8 es'16 | } 
  \\ { ges[ c\rest es r as r d r 
    \change Staff = lower \stemUp es a\rest ges] s | 
    \change Staff = upper \stemDown as ces' r8 ges16 c' r8 ges16 ces' as8 | } >> 

  %22
%  \override Staff.TimeSignature #'print-function = #Text_interface::print 
%  \override Staff.TimeSignature #'text = 
%    \markup { \number { \column { "3" "8" } \musicglyph #"scripts-stopped" 
%      \column { "1" "8" } } } 
  \time 4/8 
  \override Staff.TimeSignature #'print-function
  = #(lambda (grob) (compound-time grob "3" "1" "8"))
  #(override-auto-beam-setting '(end 1 16 4 8) 3 8)
  \once \override DynamicText #'extra-offset = #'(-2.25 . -3.5)
  <d'' f''>16\staccatissimo ^\sf 
  \set stemRightBeamCount = #2
  <as' c''>( 
  \set stemRightBeamCount = #1
  \set stemLeftBeamCount = #2
  a')\tenuto 
  \set stemLeftBeamCount = #1
  \set stemRightBeamCount = #2
  fis'(\staccatissimo \< 
  \set stemLeftBeamCount = #2
  d')\tenuto-^ 
  <ces'' es''>-^ \! as'[(\staccatissimo \sf <bes e'>]) | 
  \revert Staff.TimeSignature #'print-function 
  \time 4/8 
  << { d'16 g des'' g } \\ { <es' c''> s <d' bes'> s } >> 
  <b d' a'>[ ^\markup { "" \translate #(cons -1 4) \bold \huge "poco pesante" } 
  \once \override Stem #'beaming = #(cons (list 0 1  ) (list 0 1  ))
  <f' c'' es''> 
  #(set-octavation 1)
  \set Staff.ottavation = #"8"
  \once \override Stem #'beaming = #(cons (list 0 1  ) (list 0 1  ))
  <bes' es'' aes''> <fis'' b'' e'''>] ~ | \time 6/8 
  \tupletUp
  \times 2/3 { <fis'' b'' e'''> 
  #(set-octavation 0) 
  f'' es' } 
  \once \override TupletBracket  #'padding = #-1.5
  \times 2/3 { c'' as a' } 
  \once \override TupletBracket  #'padding = #0.5
  \times 2/3 { 
    \override TextScript #'font-size = #-5
    \override TextScript #'extra-offset = #'(0.5 . -0.5)
    \override Script #'font-size = #-2
    bes d' cis'\trill^\markup { \natural } } 
%  \once \override TupletBracket  #'padding = #-0.5
  \times 2/3 { r bes <a gis'> } 
  \times 2/3 { r es' <b' fis''> } r8 \bar "|." 
}